# HTTP Server

```scala
import zhttp.http._
import zhttp.service.Server
import zio._

object HelloWorld extends App {

  // Create HTTP route
  val app: HttpApp[Any, Nothing] = Http.collect[Request] {
    case Method.GET -> !! / "text" => Response.text("Hello World!")
    case Method.GET -> !! / "json" => Response.json("""{"greetings": "Hello World!"}""")
  }

  // Run it like any simple app
  override def run(args: List[String]): UIO[ExitCode] =
    Server.start(8090, app.silent).exitCode
}
```